ONETEMPLATE(1)

NAME
onetemplate

SYNOPSIS
onetemplate command [args] [options]

OPTIONS
 -n, --name vm_name        Name of the new Virtual Machine
 -m, --multiple x          Instance multiple VMs
 -l, --list x,y,z          Selects columns to display with list command
 -d, --delay x             Sets the delay in seconds for top command
 -x, --xml                 Show the resource in xml format
 -n, --numeric             Do not translate user and group IDs
 -v, --verbose             Verbose mode
 -h, --help                Show this message
 -V, --version             Show version and copyright information

COMMANDS

•   create file

    Creates a new Template from the given template file

•   delete range|templateid_list

    Deletes the given Image

•   instantiate templateid

    Creates a new VM instance from the given Template. This VM can be
    managed with the 'onevm' command
    valid options: vm_name, multiple

•   publish range|templateid_list

    DEPRECATED, use chmod instead. Publishes the given Template. A public
    Template can be seen and instantiated by other users in the Template's
    group.

•   unpublish range|templateid_list

    DEPRECATED, use chmod instead. Unpublishes the given Template. A private
    Template can't be instantiated by any other user.

•   chgrp range|templateid_list groupid

    Changes the Template group

•   chown range|templateid_list userid [groupid]

    Changes the Template owner and group

•   chmod range|templateid_list octet

    Changes the Template permissions

•   update templateid

    Launches the system editor to modify and update the template contents

•   list [filterflag]

    Lists Templates in the pool
    valid options: list, delay, xml, numeric

•   show templateid

    Shows information for the given Template
    valid options: xml

•   top [filterflag]

    Lists Templates continuously
    valid options: list, delay, xml, numeric

ARGUMENT FORMATS

•   file

    Path to a file

•   range

    List of id's in the form 1,8..15

•   text

    String

•   groupid

    OpenNebula GROUP name or id

•   userid

    OpenNebula USER name or id

•   templateid

    OpenNebula VMTEMPLATE name or id

•   templateid_list

    Comma-separated list of OpenNebula VMTEMPLATE names or ids

•   filterflag

    a, all       all the known VMTEMPLATEs
    m, mine      the VMTEMPLATE belonging to the user in ONE_AUTH
    g, group     'mine' plus the VMTEMPLATE belonging to the groups
                 the user is member of
    uid          VMTEMPLATE of the user identified by this uid
    user         VMTEMPLATE of the user identified by the username

LICENSE
OpenNebula 3.2.1 Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0